QGIS Application - Bug report #514
WMS requested image size out of range error
2007-01-07 10:34 AM - klaskarlsson-hotmail-com -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10573
Description

| was just playing around a bit, and experienced the following when zooming in on Egypt using NASA WMS connection:

"Kunde inte rita NASA (JPL) for att:
(Unknown error code from a post-1.3 WMS server)
The WMS vendor also reported:
Requested image is too tall, max allowed height is 4096

This is probably due to a bug in the QGIS program. Please report this error.

Tried URL:
http://wms.jpl.nasa.gov/wms.cgi?SERVICE=WMS&#38;VERSION=1.1.0&#38;REQUEST=GetMap&#38;BBOX=31.215863,29.893489,
1.574159,30.108694&#38;SRS=EPSG:4326&#38;WIDTH=26348&#38;HEIGHT=5269&#38;LAYERS=global_mosaic&#38;STYLES=&#3

B8;FORI

38;FORMAT=image/png&#38; TRANSPARENT=TRUE"

Best regards...

History

#1 - 2007-01-10 03:04 AM - egroups_mip-gmx-fr -

| also stumbled over this problem which makes Quantum GIS pretty unusable for WMS.

(Unknown error code from a post-1.3 WMS server)

The WMS vendor also reported:

msWMSLoadGetMapParams(): WMS server error. Image size out of range, WIDTH and HEIGHT must be between 1 and 2048 pixels.

There seems to be no way to determine the max image dimensions and no standard error codes for this.

| suggest to try to parse the max dimension from error message after first failure, the retry with this value. If this fails, too, retry x times with smaller values.
Dimensions should be configurable when adding a WMS.

When it's only possible to get smaller tiles than initially requested, Quantum GIS should do tiling.

#2 - 2007-01-30 05:11 AM - anonymous -

WMS support is working well inside version 0.80beta2. Broken only in final release.
#3 - 2007-02-15 10:10 AM - alexandre-leroux-ec-gc-ca -

Hi, using 0.8.0 Final on Windows, get a similar error with another server:

(Unknown error code from a post-1.3 WMS server)

The WMS vendor also reported:

[[CubeSERV]]-35018: Image is wider than maximum allowed width of 800 (raised in
function validateMapRequestParameters() of file "map_request.c"
line 482)

This is probably due to a bug in the QGIS program. Please report this error.

Tried URL:
http://wms.geobase.ca/wms-bin/cubeserv.cgi?SERVICE=WMS&#38;VERSION=1.1.0&#38;REQUEST=GetMap&#38;BBOX=-179.902642,13.555667,1
0.000000,87.770302&#38;SRS=EPSG:4326&#38;WIDTH=1036&#38;HEIGHT=215&#38;LAYERS=DNEC_50K%3AELEVATION%2FELEVATION%2CCLI|_LAN
CLI_LANDUSE%3ACEOWARE2%3ACCT%2FCCRS_OTTAWA&#38;STYLES=Dnec_CITS%2CCMAP_CLI|_LANDUSE&#38;FORMAT=image/png&#38; TRANS
8;TRANSPARENT=TRUE

#4 - 2007-02-24 08:44 AM - sloan-comcast-net -

Got a similar error on 0.8.0 on windows.

Could not draw USGS because:
(Unknown error code from a post-1.3 WMS server)
The WMS vendor also reported:
Exception in [[GetMap]] reply.
[ERR0924] Requested image is too big and cannot be created.

This is probably due to a bug in the QGIS program. Please report this error.

Tried URL:

http://igskmncngs041.cr.usgs.gov/wmsconnector/com.esri.wms.Esrimap/USGS _EDC Ortho Urban?SERVICE=WMS&#38;VERSION=1.1.0&#38;REQ
EST=GetMap&#38;BBOX=-72.506354,41.938684,-72.222231,42.158652&#38;SRS=EPSG:4326&#38;WIDTH=25778&#38;HEIGHT=5155&#38;LAYERS=Jan_2(
S=Jan_2004_0.6m_Color_SpringfieldMA&#38;STYLES=&#38;FORMAT=image/png&#38; TRANSPARENT=TRUE

#5 - 2007-03-04 04:35 AM - Magnus Homann
- Status changed from Open to Closed
- Resolution set to fixed

This should be fixed since . See #632 for more info.

#6 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted

2025-04-27 22


http://wms.geobase.ca/wms-bin/cubeserv.cgi?SERVICE=WMS&#38;VERSION=1.1.0&#38;REQUEST=GetMap&#38;BBOX=-179.902642,13.555667,180.000000,87.770302&#38;SRS=EPSG:4326&#38;WIDTH=1036&#38;HEIGHT=215&#38;LAYERS=DNEC_50K%3AELEVATION%2FELEVATION%2CCLI_LANDUSE%3ACEOWARE2%3ACCT%2FCCRS_OTTAWA&#38;STYLES=Dnec_CITS%2CCMAP_CLI_LANDUSE&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE
http://wms.geobase.ca/wms-bin/cubeserv.cgi?SERVICE=WMS&#38;VERSION=1.1.0&#38;REQUEST=GetMap&#38;BBOX=-179.902642,13.555667,180.000000,87.770302&#38;SRS=EPSG:4326&#38;WIDTH=1036&#38;HEIGHT=215&#38;LAYERS=DNEC_50K%3AELEVATION%2FELEVATION%2CCLI_LANDUSE%3ACEOWARE2%3ACCT%2FCCRS_OTTAWA&#38;STYLES=Dnec_CITS%2CCMAP_CLI_LANDUSE&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE
http://wms.geobase.ca/wms-bin/cubeserv.cgi?SERVICE=WMS&#38;VERSION=1.1.0&#38;REQUEST=GetMap&#38;BBOX=-179.902642,13.555667,180.000000,87.770302&#38;SRS=EPSG:4326&#38;WIDTH=1036&#38;HEIGHT=215&#38;LAYERS=DNEC_50K%3AELEVATION%2FELEVATION%2CCLI_LANDUSE%3ACEOWARE2%3ACCT%2FCCRS_OTTAWA&#38;STYLES=Dnec_CITS%2CCMAP_CLI_LANDUSE&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE
http://wms.geobase.ca/wms-bin/cubeserv.cgi?SERVICE=WMS&#38;VERSION=1.1.0&#38;REQUEST=GetMap&#38;BBOX=-179.902642,13.555667,180.000000,87.770302&#38;SRS=EPSG:4326&#38;WIDTH=1036&#38;HEIGHT=215&#38;LAYERS=DNEC_50K%3AELEVATION%2FELEVATION%2CCLI_LANDUSE%3ACEOWARE2%3ACCT%2FCCRS_OTTAWA&#38;STYLES=Dnec_CITS%2CCMAP_CLI_LANDUSE&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE
http://igskmncngs041.cr.usgs.gov/wmsconnector/com.esri.wms.Esrimap/USGS_EDC_Ortho_Urban?SERVICE=WMS&#38;VERSION=1.1.0&#38;REQUEST=GetMap&#38;BBOX=-72.506354,41.938684,-72.222231,42.158652&#38;SRS=EPSG:4326&#38;WIDTH=2577&#38;HEIGHT=5155&#38;LAYERS=Jan_2004_0.6m_Color_SpringfieldMA&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE
http://igskmncngs041.cr.usgs.gov/wmsconnector/com.esri.wms.Esrimap/USGS_EDC_Ortho_Urban?SERVICE=WMS&#38;VERSION=1.1.0&#38;REQUEST=GetMap&#38;BBOX=-72.506354,41.938684,-72.222231,42.158652&#38;SRS=EPSG:4326&#38;WIDTH=2577&#38;HEIGHT=5155&#38;LAYERS=Jan_2004_0.6m_Color_SpringfieldMA&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE
http://igskmncngs041.cr.usgs.gov/wmsconnector/com.esri.wms.Esrimap/USGS_EDC_Ortho_Urban?SERVICE=WMS&#38;VERSION=1.1.0&#38;REQUEST=GetMap&#38;BBOX=-72.506354,41.938684,-72.222231,42.158652&#38;SRS=EPSG:4326&#38;WIDTH=2577&#38;HEIGHT=5155&#38;LAYERS=Jan_2004_0.6m_Color_SpringfieldMA&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE

